Get Asset View URL
curl --request POST \
--url https://api.example.com/uploads/get_view_urlimport requests
url = "https://api.example.com/uploads/get_view_url"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/uploads/get_view_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Asset Management
Get Asset View URL
Get a short-lived signed viewing URL for an uploaded asset.
POST
/
uploads
/
get_view_url
Get Asset View URL
Returns a short-lived signed URL for viewing an uploaded asset (inline, not forced download).
Request
curl -X POST "https://api.mosaic.so/uploads/get_view_url" \
-H "Authorization: Bearer mk_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"asset_type": "video",
"asset_id": "7f8d9c2b-4a6e-8b3f-1d5c-9e2f3a4b5c6d"
}'
Response
{
"asset_type": "video",
"asset_id": "7f8d9c2b-4a6e-8b3f-1d5c-9e2f3a4b5c6d",
"signed_url": "https://storage.googleapis.com/...",
"thumbnail_url": "https://storage.googleapis.com/..."
}
Notes
asset_typemust be one of:video,audio,image- Asset must belong to your organization workspace scope
Was this page helpful?
⌘I